
Figure - Bug #112112
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【EVT】【小窗模式】设置应用在后台运行时，在桌面长按设置图标选择小窗后，设置应用仍然以全
屏方式打开，且在此页面中“应用返回”、“桌面返回”，“进入多任务管理”手势均无效
2022-09-23 11:34 - CD Test赵飞

Status: CLOSED Start date: 2022-09-23

Priority: Urgent Due date: 2022-09-27

Assignee: CD Test赵飞 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220923.alpha_0017

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 设定app可以进入小窗口进而引起这个问题。��设置app不应该支持小窗，所以此问题不在复现。

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220923.alpha_0017

【前提条件】

1、设备已开机

2、后台未运行任何应用

【测试步骤】

1、点击桌面上“设置”应用打开设置

2、返回至桌面

3、长按桌面上的“设置”图标，选择“小窗”

【预期结果】

3、设置应用以小窗模式被打开

【实际结果】

3、设置应用仍然以全屏模式被打开，且在此页面中“应用返回”、“桌面返回”，“进入多任务管理”手势均无效

【复现率】

5/5

【Log】

Log见附件

History

#1 - 2022-09-23 14:15 - DL FW-王琳

- Status changed from New to ASSIGNED

- Assignee changed from DL FW-王琳 to DL FW-张挽强

#2 - 2022-09-23 16:51 - CDTS_TEST 王成

- Priority changed from High to Urgent

- Severity changed from Major to Critical

#3 - 2022-09-26 17:30 - DL FW-王琳
■ Current conclusion

启动应用的模式是小窗，但是窗口的大小是全屏的，尺寸不对，可能是启动的时候没有进入到bound的设置，怀疑是Launcher在启动小窗应用的时候，没

有指定bound导致的

■ Next action

联系Launcher模块，确认启动相关代码

#4 - 2022-09-27 19:18 - CD TPM-申艳艳

- Category changed from CD-FW to 窗口定制

#5 - 2022-09-28 15:00 - DL FW-张挽强

需要在luncher 改变以弹窗的形式打开小窗模式的入口 intent的flags

在Intent.FLAG_ACTIVITY_LAUNCH_ADJACENT | Intent.FLAG_ACTIVITY_NEW_TASK 基础上增加一个Intent.FLAG_ACTIVITY_CLEAR_TASK

麻烦luncher帮忙修改以下

#6 - 2022-09-28 15:00 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD APP-王营

#7 - 2022-09-28 17:33 - CD APP-李蛟

- File device-2022-09-28-173102.png added

■ Current conclusion

已经在Launcher小窗打开功能中，在Intent.FLAG_ACTIVITY_LAUNCH_ADJACENT | Intent.FLAG_ACTIVITY_NEW_TASK 基础上增加一

个Intent.FLAG_ACTIVITY_CLEAR_TASK；已经能够打开小窗。

但是相关的位置不对，始终是在固定的位置上，无论其bounds设置多少都是有问题。

 ActivityOptions activityOptions = ActivityOptionsCompat.makeFreeformOptions();

            // Arbitrary bounds only because freeform is in dev mode right now

//            Rect r = new Rect(mDeviceProfile.edgeMarginPx, mDeviceProfile.edgeMarginPx,

//                    mDeviceProfile.availableWidthPx / 4 + mDeviceProfile.edgeMarginPx,

//                    mDeviceProfile.availableHeightPx - mDeviceProfile.edgeMarginPx);

            Rect r = new Rect(60,60,460, 860);

            activityOptions.setLaunchBounds(r);

■ Next action

估计是bounds没有生效。

#8 - 2022-09-28 18:39 - DL FW-张挽强

我们是根据option传递过来的buonds不为空的情况下，设置默认的bounds，这个bounds的大小是不对app开放的。不是bounds没有生效的问题，是task不一

样导致的，当初这个启动小窗测试的demo是我们这边提供的，当时里面确实没有新增加的这个flags，因为确实没到这个case导致的，现在测试之后确实需

要用这种方式去启动。麻烦添加一下。

#9 - 2022-09-28 20:03 - CD APP-王营

- File 20220928-195830.png added

- Assignee changed from CD APP-王营 to CD AF-陈羽杰

- % Done changed from 0 to 80

2025-07-04 2/4



■ Current conclusion

此问题已解决。

解决方案为，禁用Settings应用的小窗入口，具体效果见附件截图。

■ Next action

请测试同学在09-29的版本上验证此问题

请羽杰更新一下相关分析以及代码提交的URL。

#10 - 2022-09-28 20:54 - CD FW-王伟

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD Test赵飞

- Resolution changed from -- to DUPLICATE

- Root cause set to 设定app可以进入小窗口进而引起这个问题。

设置app不应该支持小窗，所以此问题不在复现。

■ Current conclusion

设定已经不支持小窗显示，此问题不再复现

■ My analysis

■ Next action / ■Submit URL

#11 - 2022-09-29 14:34 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220929.alpha_0024

验证结果：PASS

设置应用的小窗模式已移除，该问题不再复现

#12 - 2022-09-29 14:35 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#13 - 2022-12-22 20:39 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152891 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow:fixed setting crash1.fixed setting crash2.fixed doubleclick the freeform cannot be full screenChange-Id:

Iba74a4225d88742d6a88a3d63e362d4f19537df0TC-RID: 1201-0204601IssueID: TS-R-BUG-112112 TS-R-BUG-112157

#14 - 2022-12-22 20:39 - CD FW-王伟

Gerrit Merge Information：
ID Project Branch Uploader

152893 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wanglin0323@thundersoft.com

AF:MultiWindow:Revert "fixed double-click the freeform cannot be full screen" This reverts commit e5ff88ed75a09326e7d23a6e5307a0d0e396bb6c.TC-RID:

1201-0204601IssueID: TS-R-BUG-112112Change-Id: Ic7cb7bc380d94a8393d4bbbd1be829c5e7859b6b

Files

logcat-1.txt 851 KB 2022-09-23 CD Test赵飞

device-2022-09-28-173102.png 1.41 MB 2022-09-28 CD APP-李蛟

20220928-195830.png 358 KB 2022-09-28 CD APP-王营
